Services/Deduplication Rules
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
serviceIDstringRequired
Header parameters
authorizationstringRequired
Responses
200
The request has succeeded.
application/json
400
The server could not understand the request due to invalid syntax.
application/json
401
Access is unauthorized.
application/json
402
Client error
application/json
403
Access is forbidden.
application/json
404
The server cannot find the requested resource.
application/json
409
The request conflicts with the current state of the server.
application/json
422
Client error
application/json
500
Server error
application/json
502
Server error
application/json
503
Service unavailable.
application/json
504
Server error
application/json
get/v3/services/{serviceID}/deduplication-rules
GET /v3/services/{serviceID}/deduplication-rules HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
authorization: text
Accept: */*
{
"data": {
"rules": [
{
"expression": "text",
"time_window": 1,
"time_unit": "minute",
"is_basic": true,
"basic_expression": [
{
"lhs": "text",
"op": "is",
"rhs": "text"
}
],
"dependency_deduplication": true,
"description": "text"
}
]
}
}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
serviceIDstringRequired
Body
Responses
201
The request has succeeded and a new resource has been created as a result.
application/json
400
The server could not understand the request due to invalid syntax.
application/json
401
Access is unauthorized.
application/json
402
Client error
application/json
403
Access is forbidden.
application/json
404
The server cannot find the requested resource.
application/json
409
The request conflicts with the current state of the server.
application/json
422
Client error
application/json
500
Server error
application/json
502
Server error
application/json
503
Service unavailable.
application/json
504
Server error
application/json
post/v3/services/{serviceID}/deduplication-rules
POST /v3/services/{serviceID}/deduplication-rules HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 198
{
"rules": [
{
"expression": "text",
"time_window": 1,
"time_unit": "minute",
"is_basic": true,
"basic_expression": [
{
"lhs": "text",
"op": "is",
"rhs": "text"
}
],
"dependency_deduplication": true,
"description": "text"
}
]
}{
"data": {
"rules": [
{
"expression": "text",
"time_window": 1,
"time_unit": "minute",
"is_basic": true,
"basic_expression": [
{
"lhs": "text",
"op": "is",
"rhs": "text"
}
],
"dependency_deduplication": true,
"description": "text"
}
]
}
}Last updated